@import "custom_fonts.css";

body {
	color: saddlebrown;
	background-color: linen;
}

code {
	color: black;
	background-color: white;
}

pre {
	background-color: white;
	overflow-x: scroll;
	max-width: 100%;
}

a:link {
	color: midnightblue;
}

a:visited {
	color: mediumvioletred;
}

.centred {
	display: block;
	width: fit-content;
	margin-left: auto;
	margin-right: auto;
}

figure {
	display: block;
	margin: 0em;
	padding: 1em;
	border: 1px solid black;
	width: fit-content;
	margin-right: auto;
}

.highlight {
	border-color: rosybrown;
	background-color: sandybrown;
	border-style: solid;
	border-width: medium;
	border-radius: 30px;
	padding: 0% 2%;
	margin: 1% 0%;
}

img {
	max-width: 100%;
}


@media print {
	body {
		color: black;
		background-color: white;
	}

	a[href]:after {
		content: " (" attr(href) ")";
	}
	a:visited {
		color: midnightblue;
	}

	pre {
		padding: 1em;
		border: 1px solid black;
		break-inside: avoid;
		overflow-x: visible;
	}

	.break-before {
		break-before: page;
	}
}
